#include <QtCore>
#include <QtGui>
#include <QtSql>

int main(int argc, char* argv[]) {
	QApplication app (argc, argv);

	QLibrary libdb("../db/bin/libdb");
	if (libdb.load()) {
		qDebug() << "==> main.cpp - libdb ok";
	} else {
		qDebug() << "==> main.cpp - libdb bad " << libdb.errorString();
	}
	
	typedef bool (*Fct) ();
	Fct fct = (Fct)(libdb.resolve("createConnections"));
	if (fct) {
		qDebug() << "==> main.cpp - connect ok";
	} else {
		qDebug() << "==> main.cpp - connect bad";
	}
	
	QSqlDatabase db = QSqlDatabase::database("psql");
	if ( !db.open() ) {
		qDebug() << "Failed to open database: " << db.lastError().driverText();
	}
/*	
	QSqlQuery query( db );
	query.exec("SELECT * FROM awp_books.idconnection;");
	while (query.next()) {
		QString idconn = query.value(0).toString();
		QString descr = query.value(1).toString();
		qDebug() << idconn << descr;
	}
*/	
}
